Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 11439 - removeChangeListener not called on WizardDescriptor.Panel
removeChangeListener not called on WizardDescriptor.Panel
Status: VERIFIED WORKSFORME
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
3.x
PC Linux
: P3 (vote)
: 4.x
Assigned To: Jiri Rechtacek
issues@platform
: API, PERFORMANCE
Depends on: 26552
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-15 03:59 UTC by _ jrichard
Modified: 2008-12-22 18:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ jrichard 2001-04-15 03:59:08 UTC
In a WizardDescriptor.Panel, the addChangeListener() can be
called without ever having the removeChangeListener() called.
This occurs if you cancel the wizard instead of completing it
normally.

While this wouldn't normally be a problem, it could be if the 
Panels are reused (that would be at least a memory leak).
Comment 1 Jan Chalupa 2001-05-06 08:13:36 UTC
Target milestone -> 3.3
Comment 2 jrojcek 2001-09-19 17:27:24 UTC
It is partialy fixed in dev20010920. It doesn't fix cases when new
closing options are provided from outside. It seems that complete fix
requires bigger changes.
Comment 3 jrojcek 2001-09-27 10:21:22 UTC
This won't be fixed in 3.3 bcs it needs wizard redesign. 
If it blocks other bugs from being solved then change milestone back
and increase priority, please.
Comment 4 Jiri Rechtacek 2002-09-19 15:43:31 UTC
assing to openide/wizard owner.
Comment 5 Jiri Rechtacek 2004-06-11 20:08:01 UTC
The processing of WizardDescriptor has been changed a lot in promoD,
the the property change listeners should be removed by WD. The test
org.openide.InstantiatingIteratorTest.class/testAddCleanChangeListenerAfterCancel
covers this problem. IMHO I can close as worksforme.
John, please reopen if you know any case which fails this contract. Thanks
Comment 6 Marian Mirilovic 2004-07-30 14:32:09 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo